## org.gnu.atk
Class AtkObject

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.AtkObject

Direct Known Subclasses:
  Accessible

public class AtkObject
extends GObject

This class is the primary class for accessibility support via the Accessibility TookKit (ATK). Objects which are instances of AtkObject are queried for properties which relate basic properties of a UI component such as name and description.

Constructor Summary
`AtkObject(org.gnu.glib.Handle handle)` Construct a new AtkObject using the handle returned by a call to the native layer.

Method Summary
`boolean` `addRelationship(RelationType type, AtkObject target)` Adds a relationship of the specified type with the specified target.
`static AtkObject` `getAtkObjectFromHandle(org.gnu.glib.Handle hndl)` Static factory method that should only be used interally by Java-Gnome.
`AtkObject` `getChild(int index)` Returns the specified child of the object.
`java.lang.String` `getDescription()` Gets the accessible description of the accessible.
`int` `getIndexInParent()` Get the index of the accessible in its parent.
`Layer` `getLayer()` Get the Layer of the accessible.
`java.lang.String` `getLocalizedRoleName(Role role)` Get the localized description describing the Role
`int` `getMDIZorder()` Get the zorder of the accessible.
`java.lang.String` `getName()` Gets the accessible name of the accessible.
`int` `getNumChildren()` Returns the number of accessible children of the accessible.
`AtkObject` `getParent()` Get the accessible parent of the accessible.
`Role` `getRole()` Gets the role of the accessible.
`Role` `getRoleForName(java.lang.String name)` Get the role corresponding to the name.
`java.lang.String` `getRoleName(Role role)` Get the description describing the Role.
`boolean` `removeRelationship(RelationType type, AtkObject target)` Removes a relationship of the specified type with the specified target.
`void` `setDescription(java.lang.String description)` Sets the accessible description of the accessible.
`void` `setName(java.lang.String name)` Sets the accessible name of the accessible.
`void` `setParent(AtkObject parent)` Sets the accessible parent of the accessible.
`void` `setRole(Role role)` Sets the role of the accessible.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtkObject

    public AtkObject(org.gnu.glib.Handle handle)

  Construct a new AtkObject using the handle returned by a call to the native layer.

Parameters:
  `handle` - The handle to the native resource.

Method Detail

### getName

    public java.lang.String getName()

  Gets the accessible name of the accessible.

  Returns:
    A string representing the accessible name of the accessible.

### setName

    public void setName(java.lang.String name)

  Sets the accessible name of the accessible.

  Parameters:
    `name` - The accessible name.

### getDescription

    public java.lang.String getDescription()

  Gets the accessible description of the accessible.

  Returns:
    A string representing the accessible description of the accessible.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the accessible description of the accessible.

  Parameters:
    `description` - The accessible description.

### getParent

    public AtkObject getParent()

  Get the accessible parent of the accessible.

  Returns:
    An AtkObject representing the accessible parent of the accessible.

### setParent

    public void setParent(AtkObject parent)

  Sets the accessible parent of the accessible.

  Parameters:
    `parent` - The accessible parent.

### getNumChildren

    public int getNumChildren()

  Returns the number of accessible children of the accessible.

  Returns:
    the number of accessible children.

### getChild

    public AtkObject getChild(int index)

  Returns the specified child of the object. The index is 0 based.

  Parameters:
    `index` - The position of the child starting at 0.
  Returns:
    An AtkObject that is the child at the specified position.

### getRole

    public Role getRole()

  Gets the role of the accessible.

  Returns:
    A Role which is the role of the accessible.

### setRole

    public void setRole(Role role)

  Sets the role of the accessible.

  Parameters:
    `role` - The role to be set.

### getLayer

    public Layer getLayer()

  Get the Layer of the accessible.

### getMDIZorder

    public int getMDIZorder()

  Get the zorder of the accessible.

### getIndexInParent

    public int getIndexInParent()

  Get the index of the accessible in its parent. Returns -1 if the accessible does not have an accessible parent.

### getRoleName

    public java.lang.String getRoleName(Role role)

  Get the description describing the Role.

  Parameters:
    `role` -

### getRoleForName

    public Role getRoleForName(java.lang.String name)

  Get the role corresponding to the name.

  Parameters:
    `name` -

### addRelationship

    public boolean addRelationship(RelationType type,
                                   AtkObject target)

  Adds a relationship of the specified type with the specified target.

  Parameters:
    `type` -
    `target` -

### removeRelationship

    public boolean removeRelationship(RelationType type,
                                      AtkObject target)

  Removes a relationship of the specified type with the specified target.

  Parameters:
    `type` -
    `target` -

### getLocalizedRoleName

    public java.lang.String getLocalizedRoleName(Role role)

  Get the localized description describing the Role

  Parameters:
    `role` -

### getAtkObjectFromHandle

    public static AtkObject getAtkObjectFromHandle(org.gnu.glib.Handle hndl)

  Static factory method that should only be used interally by Java-Gnome.